server {
	listen 80;

	server_name {{url}};

    location ^~/.well-known/ {
        root /var/lib/certbot;
    }
    
    {# location / {
        return 301 https://$host$request_uri;
    } #}

    add_header X-Content-Type-Options nosniff;
	add_header X-XSS-Protection "1; mode=block";
	add_header Strict-Transport-Security "max-age=15552000; includeSubdomains; preload;";
	add_header Referrer-Policy "no-referrer, strict-origin-when-cross-origin";

	location /{
		proxy_pass {{dest_ip}};
		proxy_set_header    Host      $host;
		proxy_set_header    Connection "upgrade";
		proxy_set_header    Upgrade $http_upgrade;
		proxy_set_header    X-Forwarded-Host $host;
		proxy_set_header    X-Real-IP $remote_addr;
		proxy_set_header    X-Forwarded-For $remote_addr;
		proxy_headers_hash_max_size 512;
		proxy_headers_hash_bucket_size 128;
		proxy_set_header    X-Forwarded-Proto https;
		proxy_connect_timeout 30;
		proxy_send_timeout 30;
	}
}

{# server {
	listen 443 ssl;
	server_name template.exemple.com ;


	access_log   /var/log/nginx/template.exemple.com.access.log;
 	error_log    /var/log/nginx/template.exemple.com.error.log;

    ssl_certificate /etc/letsencrypt/live/template.exemple.com/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/template.exemple.com/privkey.pem;
    ssl_trusted_certificate /etc/letsencrypt/live/template.exemple.com/chain.pem;

	add_header X-Content-Type-Options nosniff;
	add_header X-XSS-Protection "1; mode=block";
	add_header Strict-Transport-Security "max-age=15552000; includeSubdomains; preload;";
	add_header Referrer-Policy "no-referrer, strict-origin-when-cross-origin";

	location /{
		proxy_pass replaced_ip;
		proxy_set_header    Host      $host;
		proxy_set_header    Connection "upgrade";
		proxy_set_header    Upgrade $http_upgrade;
		proxy_set_header    X-Forwarded-Host $host;
		proxy_set_header    X-Real-IP $remote_addr;
		proxy_set_header    X-Forwarded-For $remote_addr;
		proxy_headers_hash_max_size 512;
		proxy_headers_hash_bucket_size 128;
		proxy_set_header    X-Forwarded-Proto https;
		proxy_connect_timeout 30;
		proxy_send_timeout 30;
	}
} #}